## linux-5.10.240-antix.1-amd64-smp 5.10.240-antix.1-amd64-smp-1

=== drivers/staging/vc04_services/Makefile ===
# SPDX-License-Identifier: GPL-2.0
obj-$(CONFIG_BCM2835_VCHIQ)	+= vchiq.o

vchiq-objs := \
   interface/vchiq_arm/vchiq_core.o  \
   interface/vchiq_arm/vchiq_arm.o \
   interface/vchiq_arm/vchiq_2835_arm.o \
   interface/vchiq_arm/vchiq_debugfs.o \
   interface/vchiq_arm/vchiq_connected.o \

obj-$(CONFIG_SND_BCM2835)		+= bcm2835-audio/
obj-$(CONFIG_VIDEO_BCM2835)		+= bcm2835-camera/
obj-$(CONFIG_BCM2835_VCHIQ_MMAL)	+= vchiq-mmal/

ccflags-y += -I $(srctree)/$(src)/include  -D__VCCOREVER__=0x04000000

=== debian/changelog ===
linux-5.10.240-antix.1-amd64-smp (5.10.240-antix.1-amd64-smp-1) bookworm; urgency=low

  * Custom built Linux kernel.

 -- anticapitalista <antix@operamail.com>  Tue, 05 Aug 2025 18:11:12 +0300

=== debian/control ===
Source: linux-5.10.240-antix.1-amd64-smp
Section: kernel
Priority: optional
Maintainer: anticapitalista <antix@operamail.com>
Rules-Requires-Root: no
Build-Depends: bc, rsync, kmod, cpio, bison, flex | flex:native , libelf-dev:native, libssl-dev:native
Homepage: https://www.kernel.org/

Package: linux-image-5.10.240-antix.1-amd64-smp
Architecture: amd64
Description: Linux kernel, version 5.10.240-antix.1-amd64-smp
 This package contains the Linux kernel, modules and corresponding other
 files, version: 5.10.240-antix.1-amd64-smp.

Package: linux-libc-dev
Section: devel
Provides: linux-kernel-headers
Architecture: amd64
Description: Linux support headers for userspace development
 This package provides userspaces headers from the Linux kernel.  These headers
 are used by the installed headers for GNU glibc and other system libraries.
Multi-Arch: same

Package: linux-headers-5.10.240-antix.1-amd64-smp
Architecture: amd64
Description: Linux kernel headers for 5.10.240-antix.1-amd64-smp on amd64
 This package provides kernel header files for 5.10.240-antix.1-amd64-smp on amd64
 .
 This is useful for people who need to build external modules

=== debian/rules ===
#!/usr/bin/make -f

srctree ?= .

build-indep:
build-arch:
	$(MAKE) KERNELRELEASE=5.10.240-antix.1-amd64-smp ARCH=x86 	KBUILD_BUILD_VERSION=1 -f $(srctree)/Makefile

build: build-arch

binary-indep:
binary-arch: build-arch
	$(MAKE) KERNELRELEASE=5.10.240-antix.1-amd64-smp ARCH=x86 	KBUILD_BUILD_VERSION=1 -f $(srctree)/Makefile intdeb-pkg

clean:
	rm -rf debian/files debian/linux-*
	$(MAKE) clean

binary: binary-arch
